Bug 1273328 (CVE-2015-4868) - CVE-2015-4868 OpenJDK: CRL checking flaw (Libraries, 8081744)
Summary: CVE-2015-4868 OpenJDK: CRL checking flaw (Libraries, 8081744)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-4868
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151020,repor...
Depends On:
Blocks: 1257667
TreeView+ depends on / blocked
 
Reported: 2015-10-20 08:46 UTC by Tomas Hoger
Modified: 2019-06-08 20:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-29 10:17:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1919 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-10-22 01:07:59 UTC
Red Hat Product Errata RHSA-2015:1926 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-15 15:33:26 UTC

Description Tomas Hoger 2015-10-20 08:46:59 UTC
A flaw was found in the way the Libraries component of OpenJDK handled certificate revocation lists (CRL).  In certain cases, CRL checking code could fail to report that a certificate was revoked, causing the application to accept it as trusted.

Comment 1 Tomas Hoger 2015-10-21 08:50:01 UTC
Public now via Oracle Critical Patch Update - October 2015.  Fixed in Oracle Java SE 8u65.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixJAVA

Comment 2 errata-xmlrpc 2015-10-21 21:09:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1919 https://rhn.redhat.com/errata/RHSA-2015-1919.html

Comment 3 errata-xmlrpc 2015-10-22 18:36:41 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1926 https://rhn.redhat.com/errata/RHSA-2015-1926.html

Comment 4 Tomas Hoger 2015-10-26 14:32:12 UTC
OpenJDK8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/cc102fdacea5


Note You need to log in before you can comment on or make changes to this bug.